Subject: Re: [PATCH 3/4] xfrm: remove policy lock when accessing policy->walk.dead

From: jamal <[email-masked]>
Date: Wed, 31 Mar 2010 10:15:11 -0400

On Wed, 2010-03-31 at 21:56 +0800, Herbert Xu wrote:

> 
> No you've changed it.  PF_KEY will no longer notify if the policy
> table is empty.
> 
> This is inconsistent with the behaviour of SADB flushes, and the
> spirit of RFC2367.

I did not mean to change it for pfkey. I do believe there are apps that
need it.
I will run some tests and if it breaks - I will send a patch.

cheers,
jamal